﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by xsd, Version=4.8.3928.0.
// 
namespace Tecan.Sila2 {
    using System.Xml.Serialization;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.8.3928.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="https://gitlab.com/SiLA2/vendors/sila_tecan/tree/master/Features/Authentication/A" +
        "uthConfiguration.xsd")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace="https://gitlab.com/SiLA2/vendors/sila_tecan/tree/master/Features/Authentication/A" +
        "uthConfiguration.xsd", IsNullable=false)]
    public partial class AuthConfiguration {
        
        private User[] localUserField;
        
        private ServerIdentifier authProviderField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("LocalUser")]
        public User[] LocalUser {
            get {
                return this.localUserField;
            }
            set {
                this.localUserField = value;
            }
        }
        
        /// <remarks/>
        public ServerIdentifier AuthProvider {
            get {
                return this.authProviderField;
            }
            set {
                this.authProviderField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.8.3928.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="https://gitlab.com/SiLA2/vendors/sila_tecan/tree/master/Features/Authentication/A" +
        "uthConfiguration.xsd")]
    public partial class User {
        
        private string[] permissionField;
        
        private string nameField;
        
        private string passwordField;
        
        private bool allowWildcardField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Permission")]
        public string[] Permission {
            get {
                return this.permissionField;
            }
            set {
                this.permissionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Name {
            get {
                return this.nameField;
            }
            set {
                this.nameField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Password {
            get {
                return this.passwordField;
            }
            set {
                this.passwordField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public bool AllowWildcard {
            get {
                return this.allowWildcardField;
            }
            set {
                this.allowWildcardField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(ExplicitServer))]
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(DiscoveredServer))]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.8.3928.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="https://gitlab.com/SiLA2/vendors/sila_tecan/tree/master/Features/Authentication/A" +
        "uthConfiguration.xsd")]
    public abstract partial class ServerIdentifier {
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.8.3928.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="https://gitlab.com/SiLA2/vendors/sila_tecan/tree/master/Features/Authentication/A" +
        "uthConfiguration.xsd")]
    public partial class ExplicitServer : ServerIdentifier {
        
        private string hostField;
        
        private string portField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Host {
            get {
                return this.hostField;
            }
            set {
                this.hostField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute(DataType="positiveInteger")]
        public string Port {
            get {
                return this.portField;
            }
            set {
                this.portField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.8.3928.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="https://gitlab.com/SiLA2/vendors/sila_tecan/tree/master/Features/Authentication/A" +
        "uthConfiguration.xsd")]
    public partial class DiscoveredServer : ServerIdentifier {
        
        private string serverUUIDField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string ServerUUID {
            get {
                return this.serverUUIDField;
            }
            set {
                this.serverUUIDField = value;
            }
        }
    }
}
